Sales transactions

Sales Transactions in the Digital River API provide a detailed record of costed sales, allowing you to track and manage individual or multiple transactions effectively. This resource offers robust tools for retrieving sales data, which is essential for financial analysis and reporting. By leveraging these transactions, businesses can gain insights into their sales performance and optimize their revenue streams. See Sales transactions for more information.

Returns a list of sales transactions

get

Get all sales transactions.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
createdTimestring · date-timeOptional

A filter on the list based on the createdTime field. The value can be a string with an ISO-8601 UTC format datetime or it can be a dictionary with the following options:

  • gt—return values where the createdTime field is after this timestamp
  • gte—return values where the createdTime field is after or equal to this timestamp
  • lt—return values where the createdTime field is before this timestamp
  • lte—return values where the createdTime field is before or equal to this timestamp
endingBeforestringOptional

A cursor for use in pagination. The endingBefore parameter is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with xyz your subsequent calls can include endingBefore=xyz in order to fetch the previous page of the list.

startingAfterstringOptional

A cursor for use in pagination. The startingAfter parameter is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with xyz, your subsequent calls can include startingAfter=xyz in order to fetch the next page of the list.

idsstring[]Optional

Only return objects with these IDs.

limitinteger · min: 1 · max: 5000Optional

A limit on the number of objects returned. Limit can range between 1 and 5000, and the default is 10.

saleTimestring · date-timeOptional

A filter on the list based on the sales transaction saleTime field. The value can be a string with an ISO-601 UTC format datetime or it can be a dictionary with the following options:

  • gt - return values where the saleTime field is after this timestamp
  • gte - return values where the saleTime field is after or equal to this timestamp
  • lt - return values where the saleTime field is before this timestamp
  • lte - return values where the saleTime field is before or equal to this timestamp
salesSummaryIdstringOptional

Only return sales transactions with this sales summary identifier

typestring · enumOptional

Only return sales transactions of this type

Possible values:
currencystringOptional

Only return sales transactions in this currency

orderIdstringOptional

Only return sales transactions with this order identifier

skuIdstringOptional

Only return sales transactions with this sku identifier

quantitystringOptional

A filter on the list based on the sales transaction quantity field. The value can be a string or it can be a dictionary with the following options:

  • gt - return values where the quantity field is greater than this amount
  • gte - return values where the quantity field is greater than or equal to this amount
  • lt - return values where the quantity field is less than this amount
  • lte - return values where the quantity field is less than or equal to this amount
amountstringOptional

A filter on the list based on the sales transaction amount field. The value can be a string or it can be a dictionary with the following options:

  • gt - return values where the amount field is greater than this amount
  • gte - return values where the amount field is greater than or equal to this amount
  • lt - return values where the amount field is less than this amount
  • lte - return values where the amount field is less than or equal to this amount
digitalRiverSharestringOptional

A filter on the list based on the sales transaction Digital River share field. The value can be a string or it can be a dictionary with the following options:

  • gt - return values where the Digital River share field is greater than this amount
  • gte - return values where the Digital River share field is greater than or equal to this amount
  • lt - return values where the Digital River share field is less than this amount
  • lte - return values where the Digital River share field is less than or equal to this amount
payoutAmountstringOptional

A filter on the list based on the sales transaction payoutAmount field. The value can be a string or it can be a dictionary with the following options:

  • gt - return values where the payoutAmount field is greater than this amount
  • gte - return values where the payoutAmount field is greater than or equal to this amount
  • lt - return values where the payoutAmount field is less than this amount
  • lte - return values where the payoutAmount field is less than or equal to this amount
Responses
chevron-right
200

200 OK

application/json
hasMorebooleanOptional

Whether or not there are more elements available after this set. If false this set represents the end of the list.

Example: true
get
/sales-transactions

Gets a sales transaction by ID

get

Retrieves the details of a sales transaction. Supply the unique identifier of the sales transaction.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Sales transaction ID

Responses
chevron-right
200

OK.

application/json
idstringOptional

Unique identifier for the sales transaction

Example: 0206802584_000010_3700005504
createdTimestring · date-timeOptional

Time at which the sales transaction was created

saleTimestring · date-timeOptional

Time at which the sales occurred.

salesSummaryIdstringOptional

Unique identifier of a Digital River sales summary, if any.

Example: 8100000400_1410_2019
currencystringOptional

Three-letter ISO currency code representing the sale currency.

Example: GBP
amountnumber · doubleOptional

The sales transaction amount.

Example: 443.08
typestring · enumOptional

Sales transaction type.

Example: salePossible values:
orderIdstringOptional

Order identifier.

Example: 37031462099
skuIdstringOptional

SKU identifier.

Example: 945-0198
quantitynumber · doubleOptional

The quantity of the SKU.

Example: 1
payerIdstringOptional

The ID of payer.

Example: 1410
payerNamestringOptional

The name of the payer

Example: DR globalTech, Inc.
payeeIdstringOptional

The ID of the payee.

Example: 0013900100
payeeNamestringOptional

The name of the payee.

Example: ACME, Inc.
liveModebooleanOptional

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

Example: true
get
/sales-transactions/{id}

Last updated